Requirements

We thoroughly test and support this product on these systems. This product may also work in other configurations, but we do not guarantee it.

System Requirements

  • Microsoft Windows users need Windows 7 or newer
  • Apple Macintosh users need Mac OS X 10.7 or newer
  • An Intel Core 2 processor or compatible
  • A monitor with 1280x768 resolution or greater

Exposure Standalone ApplicationPhotoshopLightroomElementsAperture

Host Requirements

Exposure 5 may be used as a standalone program or a plug-in. When Exposure is used as a plug-in it requires one of these host applications:

  • Adobe Photoshop CS5 or newer
  • Adobe Photoshop Elements 10 or newer
  • Adobe Photoshop Lightroom 4 or newer
  • Apple Aperture 3 or newer